Bug 848218 - (CVE-2012-3492) CVE-2012-3492 condor: lock directories created mode 0777 allow for FS-based authentication challenge bypass
CVE-2012-3492 condor: lock directories created mode 0777 allow for FS-based a...
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20120919,repor...
: Security
Depends On: 836294 858867
Blocks: 828434 846654
  Show dependency treegraph
 
Reported: 2012-08-14 18:43 EDT by Vincent Danen
Modified: 2012-09-20 17:46 EDT (History)
6 users (show)

See Also:
Fixed In Version: condor 7.6.10, condor 7.8.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2012-08-14 18:43:08 EDT
Florian Weimer of the Red Hat Product Security Team discovered that Condor's file system authentication challenge accepted directories with weak permissions (for example, world readable, writable and executable permissions). If a user created a directory with such permissions, a local attacker could rename it, allowing them to execute jobs with the privileges of the victim user.
Comment 1 Vincent Danen 2012-09-19 11:55:43 EDT
Acknowledgements:

This issue was discovered by Florian Weimer of the Red Hat Product Security Team.
Comment 2 errata-xmlrpc 2012-09-19 13:45:21 EDT
This issue has been addressed in following products:

  MRG for RHEL-5 v. 2

Via RHSA-2012:1278 https://rhn.redhat.com/errata/RHSA-2012-1278.html
Comment 3 errata-xmlrpc 2012-09-19 13:53:18 EDT
This issue has been addressed in following products:

  MRG for RHEL-6 v.2

Via RHSA-2012:1281 https://rhn.redhat.com/errata/RHSA-2012-1281.html
Comment 4 Vincent Danen 2012-09-19 17:07:07 EDT
Created condor tracking bugs for this issue

Affects: fedora-all [bug 858867]
Comment 5 Vincent Danen 2012-09-19 17:59:57 EDT
This has been resolved in upstream 7.6.10 and 7.8.4:

https://lists.cs.wisc.edu/archive/condor-users/2012-September/msg00077.shtml
Comment 6 Vincent Danen 2012-09-20 17:46:31 EDT
Upstream git commit:

http://condor-git.cs.wisc.edu/?p=condor.git;a=commitdiff;h=1db67805

Note You need to log in before you can comment on or make changes to this bug.